@charset "UTF-8";

#preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  /* background: #000; */
  background: #fff;
  z-index: 9999;
  transition: all 0.4s ease;
}

#preloader .logo {
  position: absolute;
  width: 500px;
  height: 100vh;
  background-image: url(../images/logo/logo.png);
  background-repeat: no-repeat;
  background-size: contain;
  background-position: 50% 50%;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -57%);
  -webkit-transform: translate(-50%, -57%);
  -moz-transform: translate(-50%, -57%);
  -ms-transform: translate(-50%, -57%);
  -o-transform: translate(-50%, -57%);
}

.loader {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  transition: 0.4s;
}

.loader .loader_text {
  font-size: 20px;
  font-weight: 500;
  color: var(--bs-light);
  margin: 20px auto;
  text-align: center;
}

.loader .loader_bar {
  position: relative;
  width: 200px;
  height: 4px;
  background: #EDEEF7;
  border-radius: 50px;
}

.loader .loader_bar:before {
  content: '';
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: var(--bs-slave);
  border-radius: 50px;
  animation: fill 0.3s ease;
}

@keyframes fill {
  0% {
    width: 0%
  }

  100% {
    width: 100%
  }
}